﻿
@{
    ViewBag.Title = "Sign-Out Sheet Reports";
    Layout = null;
    var baseUrl = UrlHelpers.HomeUrl();
}
@model  SignOutSheetPdfSchoolViewModel
<html>
<head>
    <meta charset="utf-8">
    <title>Sign-Out Sheet Reports</title>
    <meta http-equiv="content-type" content="text/html; charset=utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <style>
        /*common table code start*/

        @@font-face {
            font-family: "PT Serif Caption";
            font-style: normal;
            font-weight: 400;
            src: local("Cambria"),local("PT Serif Caption"),local("PTSerif-Caption"),url(https://themes.googleusercontent.com/static/fonts/ptserifcaption/v6/7xkFOeTxxO1GMC1suOUYWWhBabBbEjGd1iRmpyoZukE.woff) format('woff');
        }

        @@font-face {
            font-family: "Open Sans Light";
            font-style: normal;
            font-weight: 300;
            src: local("Segoe UI Light"),local("Open Sans Light"),local("OpenSans-Light"),url(https://themes.googleusercontent.com/static/fonts/opensans/v8/DXI1ORHCpsQm3Vp6mXoaTZ1r3JsPcQLi8jytr04NNhU.woff) format('woff');
        }

        @@font-face {
            font-family: "Open Sans";
            font-style: normal;
            font-weight: 400;
            src: local("Segoe UI"),local("Open Sans"),local("OpenSans"),url(https://themes.googleusercontent.com/static/fonts/opensans/v8/K88pR3goAWT7BTt32Z01mz8E0i7KZn-EPnyo3HZu7kw.woff) format('woff');
        }

        @@font-face {
            font-family: "Open Sans Bold";
            font-style: normal;
            font-weight: 700;
            src: local("Segoe UI Bold"),local("Open Sans Bold"),local("OpenSans-Bold"),url(https://themes.googleusercontent.com/static/fonts/opensans/v8/k3k702ZOKiLJc3WVjuplzJ1r3JsPcQLi8jytr04NNhU.woff) format('woff');
        }

        * {
            font-family: 'Segoe UI','Open Sans',Verdana,Arial,Helvetica,sans-serif;
            font-weight: normal;
            font-style: normal;
            -webkit-box-sizing: border-box;
            -moz-box-sizing: border-box;
            -ms-box-sizing: border-box;
            -o-box-sizing: border-box;
            box-sizing: border-box;
        }


        /*common table code end*/
    </style>
    <link href="@string.Format("{0}/{1}", baseUrl, "/Areas/Dashboard/Content/flyer/FlyerStyle.css")" rel="stylesheet" />
    <style>
        .structure-gray th {
            white-space: nowrap !important;
        }

        .jbt-table-custom p, .jbt-table-custom p span {
            font-size: 13px !important;
        }

        .jbt-table-custom hr {
            color: #eee !important;
            box-shadow: none !important;
        }

        .structure-divider-large:not(:last-child) {
            page-break-after: always;
        }
    </style>
</head>
<body>
    <table class="jbt-table-custom structure-without-line structure-divider structure-bright-gray break-table-page">
        <tr>
            <td colspan="3" class="structure-bold structure-text-center td-box-logo">

                @if (!string.IsNullOrEmpty(Model.ClubLogo) && Model.ClubLogo.ToLower().Contains("http"))
                {
                    <img class="report-logo" src="@Model.ClubLogo" />
                }
                else
                {
                    <img class="report-logo" src="@string.Format("{0}/{1}", baseUrl, Model.ClubLogo)" />
                }

                @if (!string.IsNullOrEmpty(Model.SchoolLogo) && Model.SchoolLogo.ToLower().Contains("http"))
                {
                    <img class="report-logo" src="@Model.SchoolLogo" />
                }
                else if (!string.IsNullOrEmpty(Model.SchoolLogo))
                {
                    <img class="report-logo" src="@string.Format("{0}/{1}", baseUrl, Model.SchoolLogo)" />
                }

            </td>
        </tr>
    </table>

    @foreach (var item in Model.Programs)
    {
        if (item.ProgramParticipants == null)
        {

            @*Empty table for drop-in*@
            <div class="structure-divider-large">
                <table class="jbt-table-custom structure-without-line structure-divider structure-bright-gray break-table-page">
                    <tr>
                        <td class="structure-bold structure-h3 " colspan="2"><span>Unexpected drop-in</span></td>
                        <td colspan="2" class="structure-text-right structure-bold structure-h3 "><span>@item.SchoolName</span></td>
                    </tr>
                    <tr>
                        <td style="white-space:nowrap !important">Report date: @item.ReportDate</td>
                        <td colspan="4" class="structure-text-right structure-bold structure-h3 "><span>Check - In/Out Sheet</span></td>
                    </tr>
                    <tr>
                        <td style="white-space:nowrap !important"></td>
                        <td colspan="2" class="structure-text-right structure-bold structure-h3"><span>@item.Date</span></td>
                    </tr>
                </table>


                <table class="jbt-table-custom" ng-show="">
                    <thead>
                        <tr class="structure-gray">
                            <th style="max-width: 50px; width: 50px;">#</th>
                            <th style="max-width: 180px; width: 180px;">Participant</th>
                            <th style="max-width: 150px; width: 150px;">Parent name</th>
                            <th style="max-width: 60px; width: 60px;">Grade</th>
                            <th style="width: 90px">Phone</th>
                            <th style="width: 130px">Email</th>
                            <th style="width: 180px">Signature</th>
                            <th style="width: 90px">Time out</th>
                        </tr>
                    </thead>
                    <tbody>
                        @for (int i = 0; i < 16; i++)
                        {
                            <tr>
                                <td class="structure-text-center">&nbsp;</td>
                                <td class="structure-text-center">&nbsp;</td>
                                <td class="structure-text-center">&nbsp;</td>
                                <td class="structure-text-center">&nbsp;</td>
                                <td class="structure-text-center">&nbsp;</td>
                                @for (int j = 0; j < 3; j++)
                                {
                                    <td class="structure-text-center" style="width: 60px; height: 50px">&nbsp;</td>
                                }
                            </tr>
                        }

                    </tbody>

                </table>

            </div>

            break;
        }

        <div class="structure-divider-large">

            <table class="jbt-table-custom structure-without-line structure-divider structure-bright-gray break-table-page">
                <tr>
                    <td class="structure-bold structure-h3 " colspan="2"><span>@item.ClassName</span></td>
                    <td colspan="2" class="structure-text-right structure-bold structure-h3 "><span>@item.SchoolName</span></td>
                </tr>
                <tr>
                    <td style="white-space:nowrap !important">Report date: @item.ReportDate</td>
                    <td colspan="4" class="structure-text-right structure-bold structure-h3 "><span>Check - In/Out Sheet</span></td>
                </tr>
                <tr>
                    <td style="white-space:nowrap !important"></td>
                    <td colspan="2" class="structure-text-right structure-bold structure-h3"><span>@item.Date</span></td>
                </tr>
            </table>


            <table class="jbt-table-custom" ng-show="">
                <thead>
                    <tr class="structure-gray">
                        <th style="max-width:50px;width:50px;">#</th>
                        <th style="max-width:180px;width:180px;">Participant</th>
                        <th style="max-width:110px;width:110px;">Classroom</th>
                        <th style="max-width:60px;width:60px;">Grade</th>
                        <th style="width: 90px">Present</th>
                        <th style="width: 180px">Signature</th>
                        <th style="width: 90px">Time out</th>
                    </tr>
                </thead>
                <tbody>
                    @if (@item.ProgramParticipants != null)
                    {
                        foreach (var participant in item.ProgramParticipants)
                        {
                            <tr>
                                <td class="structure-text-center">@participant.Number</td>
                                <td class="structure-text-center">
                                    <p><span style="font-size: 10px !important">@participant.ParticipantName</span></p>
                                </td>
                                <td class="structure-text-center">
                                    <p><span style="font-size: 10px !important">@participant.Classroom</span></p>
                                </td>
                                <td class="structure-text-center">
                                    <p style="font-size: 10px !important"><span style="font-size: 10px !important">@participant.Grade</span></p>
                                </td>
                                @for (int i = 0; i < 3; i++)
                                {
                                    <td class="structure-text-center" style="width: 60px; height: 50px">&nbsp;</td>
                                }
                            </tr>
                        }
                    }
                    else
                    {
                        <tr style="display: none">
                            <th style="max-width:50px;width:50px;"></th>
                            <th style="max-width:180px;width:180px;"></th>
                            <th style="max-width:110px;width:150px;"></th>
                            <th style="max-width:60px;width:60px;"></th>
                            <th style="width: 60px"></th>
                            <th style="width: 170px"></th>
                            <th style="width: 60px"></th>
                        </tr>
                    }
                </tbody>

            </table>

        </div>


        @*Empty table for drop-in*@
        <div class="structure-divider-large">
            <table class="jbt-table-custom structure-without-line structure-divider structure-bright-gray break-table-page">
                <tr>
                    <td class="structure-bold structure-h3 " colspan="2">Unexpected drop-in</td>
                    <td colspan="2" class="structure-text-right structure-bold structure-h3 "><span>@item.SchoolName</span></td>
                </tr>
                <tr>
                    <td style="white-space:nowrap !important">Report date: @item.ReportDate</td>
                    <td colspan="4" class="structure-text-right structure-bold structure-h3 "><span>Check - In/Out Sheet</span></td>
                </tr>
                <tr>
                    <td style="white-space:nowrap !important"></td>
                    <td colspan="2" class="structure-text-right structure-bold structure-h3"><span>@item.Date</span></td>
                </tr>
            </table>


            <table class="jbt-table-custom" ng-show="">
                <thead>
                    <tr class="structure-gray">
                        <th style="max-width: 50px; width: 50px;">#</th>
                        <th style="max-width: 180px; width: 180px;">Participant</th>
                        <th style="max-width: 150px; width: 150px;">Parent name</th>
                        <th style="max-width: 60px; width: 60px;">Grade</th>
                        <th style="width: 90px">Phone</th>
                        <th style="width: 130px">Email</th>
                        <th style="width: 180px">Signature</th>
                        <th style="width: 90px">Time out</th>
                    </tr>
                </thead>
                <tbody>
                    @for (int i = 0; i < 16; i++)
                    {
                        <tr>
                            <td class="structure-text-center">&nbsp;</td>
                            <td class="structure-text-center">&nbsp;</td>
                            <td class="structure-text-center">&nbsp;</td>
                            <td class="structure-text-center">&nbsp;</td>
                            <td class="structure-text-center">&nbsp;</td>
                            @for (int j = 0; j < 3; j++)
                            {
                                <td class="structure-text-center" style="width: 60px; height: 50px">&nbsp;</td>
                            }
                        </tr>
                    }

                </tbody>

            </table>

        </div>

    }


</body>
</html>
